import { Recordable } from '../../../type';
import { cacheDataArrType, CacheInterface, PropertyKeyType } from '../interface';
export default class Cache implements CacheInterface {
    store: Map<PropertyKeyType, Map<string, any>>;
    constructor();
    get(node: PropertyKeyType): Map<string, Recordable> | undefined;
    set(node: PropertyKeyType, data: cacheDataArrType): void;
    has(node: PropertyKeyType): boolean;
    del(node: PropertyKeyType): boolean;
}
